Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001280TestLinkInstallerpublic2008-01-12 06:102008-11-07 19:47
Reportermroeder 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.7.0 final 
Fixed in Version1.8 Beta 2 
Summary0001280: important detail missing from upgrade instructions
DescriptionWhen upgrading from TestLink 1.6.x to 1.7.x, one must first run the New Installation script. However, running the install with the default settings will destroy the old data.

* The instructions should clearly and obviously say that the field "Database name:" must be given a name that's *different* from the existing database name.

* The update script should check to make sure that the database names are different.

* The instructions should remind one to first back up the old testLink database in case something goes awry. (I ran the process on a separate server with a copy of our database specifically in case something like this were to happen, so no harm was done here.)
Additional Information(The new version looks nice. The ability to move test cases around is an additional reason for us to upgrade and will save us a lot of work.)
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
(0002913)
fman (administrator)
2008-01-12 15:43

>When upgrading from TestLink 1.6.x to 1.7.x, one must first run the New >Installation script. However, running the install with the default settings will >destroy the old data.
>
> The instructions should clearly and obviously say that the field "Database >name:" must be given a name that's *different* from the existing database name.
IMHO Is more that clear, but I will add it.
Anyway ALLWAYS YOU NEED TO BACKUP BEFORE DO AN UPDATE

>* The update script should check to make sure that the database names are >different.
OK, but we can do not nothing again users that want to shot his/her own feet

>* The instructions should remind one to first back up the old testLink database >in case something goes awry. (I ran the process on a separate server with a copy >of our database specifically in case something like this were to happen, so no >harm was done here.)
This is Rule 0 always with every system in face of earth.

Anyway we will try to put more warnings.

- Issue History
Date Modified Username Field Change
2008-01-12 06:10 mroeder New Issue
2008-01-12 15:43 fman Note Added: 0002913
2008-01-12 15:43 fman Status new => assigned
2008-01-12 15:43 fman Assigned To => fman
2008-05-24 20:29 fman Status assigned => resolved
2008-05-24 20:29 fman Fixed in Version => 1.8 Beta 2
2008-05-24 20:29 fman Resolution open => fixed
2008-11-07 19:47 mhavlat Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker